import { B as BUILD, C as CSS, p as plt, w as win, a as promiseResolve, b as bootstrapLazy } from './index-ad719cbe.js';
import { g as globalScripts } from './app-globals-0f993ce5.js';

/*
 Stencil Client Patch Esm v2.15.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if (BUILD.cssVarShim && !(CSS && CSS.supports && CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return import(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-e6dd2538.js').then(() => {
            if ((plt.$cssShim$ = win.__cssshim)) {
                return plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  globalScripts();
  return bootstrapLazy([["my-component",[[1,"my-component",{"previewVisible":[4,"preview-visible"],"isOnlyComputer":[4,"is-only-computer"],"scaleInfo":[1040],"isPreviewQuestion":[1540,"is-preview-question"],"isOnlyPreview":[4,"is-only-preview"],"scaleName":[32],"scaleDesc":[32],"questionItemList":[32],"resultScore":[32],"isPC":[32],"sortArr":[32],"editScaleItem":[32],"isVisible":[32]}]]],["single-input",[[1,"single-input",{"first":[1],"middle":[1],"last":[1],"callMe":[64]}]]],["my-modal",[[6,"my-modal",{"first":[1],"middle":[1],"last":[1],"isVisible":[4,"is-visible"],"hideOption":[4,"hide-option"],"width":[1],"modaltitle":[1],"callMe":[64]}]]]], options);
  });
};

export { defineCustomElements };
